# Events

ZapSign sends the following events via webhook:

* **`doc_created`**\
  This event is sent when a document is created.
* **`created_signer`**\
  This event is sent when a new signer is added to an ongoing document.
* **`doc_deleted`**\
  Notifies when a document has been deleted, either from the platform or via the API.
* **`doc_signed`**\
  Triggered when a signer signs the document. The webhook specifies which signer signed the document.
* **`doc_refused`**\
  Indicates that a document has been refused by the signer.
* **`email_bounce`**\
  Notifies about failures in email delivery.
* **`signature_notification_sent`**\
  Notifies when the document is sent to the signer via email or WhatsApp (parameter `send_automatic_email` or `send_automatic_whatsapp`).
* **`doc_viewed`**\
  Notifies when the signer views the document (opens the signing link).
* **`doc_read_confirmation`**\
  Notifies when the signer confirms reading the document (clicks the "Continue" button after viewing the document).
* **`signer_authentication_failed`**\
  Notifies when the signer has exceeded the maximum number of attempts to verify their identity using the Facial Recognition and Identity Validation methods.
* **`background_check_completed`**\
  Notifies when a background check has completed.
* **`doc_expired`**\
  This event is sent when a document with a signing deadline has expired.
* **`doc_expiration_alert`**\
  This event is sent when a document with a signing deadline is about to expire. The event will be triggered 7, 3, and 1 day(s) before the expiration takes effect.

You will be able to differentiate one from the other by the attribute "event\_type" which will follow with every webhook.

```
"event_type": "doc_created"
```

Check the body of each event in the upcoming chapters!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapsign.com.br/english/webhooks/eventos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
